Execute External Actions

Execute External Actions
Execute multiple external actions to get a list of values (for the UI)

This API is deprecated since 9.1. Alternatives: /workitem/api/workitems/external-values

Request
URI
POST
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/forms/renderer/external-values
COPY
Query Parameters
string
projectId
Optional

The projectId of the project chosen for the request.

string
sourceId
Optional

sourceId


Request Body
[
    {
        "uri": "string",
        "dataSource": "string",
        "parameters": [
            {
                "name": "string",
                "value": "string",
                "useResultFromRequestId": 0
            }
        ],
        "fieldType": {
            "dataType": "string",
            "referenceType": "string",
            "fields": [
                {
                    "label": "string",
                    "description": "string",
                    "signpost": "string",
                    "type": "FormSchemaFieldType Object",
                    "step": "number",
                    "default": {},
                    "valueList": {},
                    "placeholder": "string",
                    "constraints": {
                        "matchConstraint": {
                            "match": {}
                        },
                        "constraints": {
                            "constraints": {}
                        }
                    },
                    "refresh": {
                        "type": "string"
                    },
                    "shortValueName": [
                        "string"
                    ],
                    "id": "string",
                    "valueTree": {}
                }
            ],
            "isMultiple": false
        },
        "requestId": 0,
        "contextParameters": {
            "contextParameters": "string"
        },
        "externalSourceProviderType": "string"
    }
]
Optional
Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with a list of external action results

[
    {
        "data": {},
        "error": {
            "summaryMessage": "string",
            "detailsMessage": "string"
        },
        "requestId": 0
    }
]
array of object
Optional

400

'Bad Request' if RunnableItem is not in specified format

Operation doesn't return any data structure

403

'Forbidden' due to insufficient access rights for form viewing or the form execution has not been created. To resolve this, ensure that the /renderer/model API is called first to load the necessary form containing the required external actions.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/form-service/api/forms/renderer/external-values